Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033298
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2016-06-16 20:442016-06-28 16:06
ReportermtaalView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisionc01922c14219
ProjectionnoneETAnoneTarget Version3.0PR16Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033298: c_orderdiscount_trg trigger does not have enabling/disabling code

DescriptionAll triggers in OB need to have enabling and disabling code snippet in the beginning:

    IF AD_isTriggerEnabled()='N' THEN IF TG_OP = 'DELETE' THEN RETURN OLD; ELSE RETURN NEW; END IF;
    END IF;

The c_orderdiscount_trg misses this.
Steps To ReproduceCheck the trigger code in postgresql explorer
Proposed SolutionAdd the line as shown above.
TagsNo tags attached.
Attached Filesdiff file icon trigger.diff [^] (453 bytes) 2016-06-16 22:28 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0087939)
hgbot (developer)
2016-06-27 08:59

Repository: erp/devel/pi
Changeset: c01922c14219237f6b04696df536de09ce9af86a
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jun 23 10:28:40 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c01922c14219237f6b04696df536de09ce9af86a [^]

Fixed issue 33298 enabling/disabling code is missing in c_orderdiscount_trg

c_orderdiscount_trg trigger does not have enabling/disabling code
All triggers in OB need to have enabling and disabling code snippet in the beginning

---
M src-db/database/model/triggers/C_ORDERDISCOUNT_TRG.xml
---
(0087941)
hgbot (developer)
2016-06-27 09:43

Repository: erp/devel/pi
Changeset: ef8f3dbd5d072040627af0443b8b4612f85e1e9d
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 27 09:42:58 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ef8f3dbd5d072040627af0443b8b4612f85e1e9d [^]

Related to issue 33298: Update copyright

---
M src-db/database/model/triggers/C_ORDERDISCOUNT_TRG.xml
---
(0087942)
aferraz (developer)
2016-06-27 09:45

Code review OK
(0087988)
hudsonbot (developer)
2016-06-27 13:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/48c35d75995a [^]
Maturity status: Test
(0088051)
hudsonbot (developer)
2016-06-28 16:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/865878a5d292 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-16 20:44 mtaal New Issue
2016-06-16 20:44 mtaal Assigned To => Triage Finance
2016-06-16 20:44 mtaal Modules => Core
2016-06-16 20:44 mtaal Triggers an Emergency Pack => No
2016-06-16 22:28 mtaal File Added: trigger.diff
2016-06-24 12:10 mtaal Assigned To Triage Finance => Sandrahuguet
2016-06-27 08:59 hgbot Checkin
2016-06-27 08:59 hgbot Note Added: 0087939
2016-06-27 08:59 hgbot Status new => resolved
2016-06-27 08:59 hgbot Resolution open => fixed
2016-06-27 08:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c01922c14219237f6b04696df536de09ce9af86a [^]
2016-06-27 08:59 Sandrahuguet Review Assigned To => aferraz
2016-06-27 09:43 hgbot Checkin
2016-06-27 09:43 hgbot Note Added: 0087941
2016-06-27 09:45 aferraz Note Added: 0087942
2016-06-27 09:45 aferraz Status resolved => closed
2016-06-27 09:45 aferraz Fixed in Version => 3.0PR16Q3
2016-06-27 13:49 hudsonbot Checkin
2016-06-27 13:49 hudsonbot Note Added: 0087988
2016-06-28 16:06 hudsonbot Checkin
2016-06-28 16:06 hudsonbot Note Added: 0088051


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker